<nz-page-header>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ 'Common.Homepage' | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>
        <a [routerLink]="['/citizen', citizenId]">{{ citizen?.name }}</a>
      </nz-breadcrumb-item>
      <nz-breadcrumb-item>{{ 'Social.Community.Friends' | translate }}</nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>
</nz-page-header>

<div nz-row style="margin-top: 10px" nzAlign="top" nzJustify="center">
  <div nz-col nzSpan="18">
    <nz-card style="width: 100%" nzTitle="{{ 'Social.Community.Friends' | translate }} ({{ friends.length }})" nzSize="small">
      <nz-list nzItemLayout="horizontal" [nzLoading]="isLoading" nzSize="small">
        <nz-list-item *ngFor="let item of friends">
          <nz-list-item-meta [nzAvatar]="item.citizen.avatar">
            <nz-list-item-meta-title>
              <a href="/citizen/{{ item.citizen.id }}">{{
                  item.citizen.name
                }}</a>
            </nz-list-item-meta-title>
          </nz-list-item-meta>
          <ul nz-list-item-actions *ngIf="canManage === true">
            <nz-list-item-action>
              <button nz-button nzType="default" nzShape="round" style="color: red" (click)="remove(item.id)"
                nzTooltipTitle="{{ 'buttons.Remove' | translate }}" nz-tooltip>
                <i class="fas fa-user-minus"></i>
              </button>
            </nz-list-item-action>
          </ul>
        </nz-list-item>
        <nz-list-empty *ngIf="friends.length === 0" nzNoResult="{{ 'Citizen.noFriendsApproved' | translate }}"></nz-list-empty>
      </nz-list>
    </nz-card>

    <nz-card *ngIf="canManage === true" style="width: 100%; margin-top: 20px" nzTitle="{{ 'Citizen.friendRequestsReceived' | translate }}"
      nzSize="small">
      <nz-list nzItemLayout="horizontal" [nzLoading]="isLoading" nzSize="small">
        <nz-list-item *ngFor="let item of friendsReceived">
          <nz-list-item-meta [nzAvatar]="item.citizen.avatar">
            <nz-list-item-meta-title>
              <a href="/citizen/{{ item.citizen.id }}">{{
                  item.citizen.name
                }}</a>
            </nz-list-item-meta-title>
          </nz-list-item-meta>
          <ul nz-list-item-actions>
            <nz-list-item-action>
              <button nz-button nzType="default" nzShape="round" style="color: green; margin-right: 5px" (click)="accept(item.id)"
                nzTooltipTitle="{{ 'buttons.Accept' | translate }}" nz-tooltip>
                <i class="fas fa-user-check"></i>
              </button>
              <button nz-button nzType="default" nzShape="round" style="color: red" (click)="decline(item.id)"
                nzTooltipTitle="{{ 'buttons.Decline' | translate }}" nz-tooltip>
                <i class="fas fa-user-minus"></i>
              </button>
            </nz-list-item-action>
          </ul>
        </nz-list-item>
        <nz-list-empty *ngIf="friendsReceived.length === 0" nzNoResult="{{ 'Citizen.haveNoInvites' | translate }}"></nz-list-empty>
      </nz-list>
    </nz-card>

    <nz-card *ngIf="canManage === true" style="width: 100%; margin-top: 20px" nzTitle="{{ 'Citizen.friendRequestsSent' | translate }}"
      nzSize="small">
      <nz-list nzItemLayout="horizontal" [nzLoading]="isLoading" nzSize="small">
        <nz-list-item *ngFor="let item of friendsSent">
          <nz-list-item-meta [nzAvatar]="item.citizen.avatar">
            <nz-list-item-meta-title>
              <a href="/citizen/{{ item.citizen.id }}">{{
                  item.citizen.name
                }}</a>
            </nz-list-item-meta-title>
          </nz-list-item-meta>
        </nz-list-item>
        <nz-list-empty *ngIf="friendsSent.length === 0" nzNoResult="{{ 'Citizen.haveNotSendInvites' | translate }}"></nz-list-empty>
      </nz-list>
    </nz-card>
  </div>
</div>
